> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invitation By Token

> Get minimal invitation details by token (public endpoint for UI).

Returns organization name and inviter info for the acceptance page.
If user is authenticated, also returns whether their email matches the invitation.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /invitations/token/{token}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /invitations/token/{token}:
    get:
      tags:
        - invitations
      summary: Get Invitation By Token
      description: >-
        Get minimal invitation details by token (public endpoint for UI).


        Returns organization name and inviter info for the acceptance page.

        If user is authenticated, also returns whether their email matches the
        invitation.
      operationId: invitations-get_invitation_by_token
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
            title: Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvitationReadMinimal'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    InvitationReadMinimal:
      properties:
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        organization_name:
          type: string
          title: Organization Name
        organization_slug:
          type: string
          title: Organization Slug
        inviter_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Inviter Name
        inviter_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Inviter Email
        grants:
          items:
            $ref: '#/components/schemas/InvitationGrant'
          type: array
          title: Grants
        status:
          $ref: '#/components/schemas/InvitationStatus'
        expires_at:
          type: string
          format: date-time
          title: Expires At
        email_matches:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Email Matches
      type: object
      required:
        - organization_id
        - organization_name
        - organization_slug
        - inviter_name
        - inviter_email
        - grants
        - status
        - expires_at
      title: InvitationReadMinimal
      description: >-
        Minimal public response for token-based lookup on the accept page.


        Excludes email, inviter ID, and timestamps to limit information
        disclosure.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvitationGrant:
      properties:
        workspace_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Workspace Id
        role_id:
          type: string
          format: uuid
          title: Role Id
      type: object
      required:
        - role_id
      title: InvitationGrant
      description: 'One role grant: at org scope when ``workspace_id`` is None.'
    InvitationStatus:
      type: string
      enum:
        - pending
        - accepted
        - revoked
      title: InvitationStatus
      description: Invitation lifecycle status.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````